<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:epub="http://www.idpf.org/2007/ops" xml:lang="es" lang="es">
    <head>
        <meta charset="UTF-8"/>
        <title>3. Cómo crear un libro digital: de XML a EPUB con InDesign</title>
        <link href="../css/styles.css" rel="stylesheet" type="text/css"/>
    </head>
    <body>
        <section epub:type="chapter" role="doc-chapter">
            <h1 id="como-crear-un-libro-digital-de-xml-a-epub-con-indesign">3. Cómo crear un <span class="i-item-span" id="i-item-id-1-5-1">libro</span> <span class="i-item-span" id="i-item-id-1-51-2">digital</span>: de <span class="smallcap"><span class="i-item-span" id="i-item-id-1-24-3">XML</span></span> a <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-4">EPUB</span></span> con InDesign</h1>
            <p>Como lo prometido es deuda, en la entrada «<a href="003-1_edicion_digital_como_edicion.xhtml">Edición <span class="i-item-span" id="i-item-id-1-51-6">digital</span> como <span class="i-item-span" id="i-item-id-1-0-5">edición</span> desde cero</a>» se mencionó que se verían con mayor detenimiento tres de los <span class="i-item-span" id="i-item-id-1-28-7">métodos</span> que se compararon al momento de crear un <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-8">EPUB</span></span> de <a href="https://www.gutenberg.org/ebooks/2000">la <span class="i-item-span" id="i-item-id-1-0-9">edición</span> del Proyecto <span class="i-item-span" id="i-item-id-1-106-10">Gutenberg</span> del <i>Don Quijote</i></a>.</p>
            <p>Para descansar <em>un poco</em> de las nociones relacionadas al <span class="i-item-span" id="i-item-id-1-23-11">código</span>, <strong>el primer método que abordaremos es la <span class="i-item-span" id="i-item-id-1-15-12">creación</span> de un <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-13">EPUB</span></span> con InDesign</strong>.</p>
            <p>El <span class="i-item-span" id="i-item-id-1-12-14">desarrollo</span> de <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-15">EPUB</span></span> con InDesign puede hacerse de muchas maneras. Sin embargo, aquí <strong>nos enfocaremos en el <span class="i-item-span" id="i-item-id-1-32-16">proceso</span> que ofrece más control, menos tiempo y mejor calidad</strong>. A partir de un <a href="https://es.wikipedia.org/wiki/Extensible_Markup_Language"><span class="smallcap"><span class="i-item-span" id="i-item-id-1-24-17">XML</span></span></a> y una hoja de estilo <a href="https://es.wikipedia.org/wiki/Hoja_de_estilos_en_cascada"><span class="smallcap"><span class="i-item-span" id="i-item-id-1-35-18">CSS</span></span></a> crearemos un <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-19">EPUB</span></span> de una manera muy sencilla, al contrario a lo que se podría pensar en un principio.</p>
            <h2 id="preparacion-de-los-archivos">1. Preparación de los archivos</h2>
            <p>Antes de abrir InDesign <strong>necesitamos tres archivos</strong> para nuestro <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-20">EPUB</span></span>: <strong>el <span class="smallcap"><span class="i-item-span" id="i-item-id-1-24-21">XML</span></span>, el <span class="smallcap"><span class="i-item-span" id="i-item-id-1-35-22">CSS</span></span> y la portada</strong>. Solo el <span class="smallcap"><span class="i-item-span" id="i-item-id-1-24-23">XML</span></span> es necesario, ya que en este estará todo el contenido de nuestro <span class="i-item-span" id="i-item-id-1-5-24">libro</span>. Más adelante explicaremos las particularidades de este <span class="i-item-span" id="i-item-id-1-8-25">formato</span>.</p>
            <p>La portada puede ser en cualquier <span class="i-item-span" id="i-item-id-1-8-26">formato</span> de imagen y de cualquier tamaño. En mi opinión, lo más recomendable es que esté en <span class="smallcap">JPG</span>, ya que este <span class="i-item-span" id="i-item-id-1-8-27">formato</span> tiende a pesar menos.</p>
            <p>En cuanto al tamaño, en <span class="i-item-span" id="i-item-id-1-69-28">Nieve de Chamoy</span> usamos una <strong>altura no mayor a 2048 pixeles</strong> por el único hecho de que en el iPad la portada se muestra en pantalla completa por algunos segundos, tiempo suficiente para que el usuario note algún <i>pixeleo</i> en la imagen. Si no se piensa distribuir para iOS, una altura no mayor a 1024 pixeles tendría que ser suficiente.</p>
            <p>Estas pequeñas particularidades de la portada es un detalle importante ya que, por lo general, su peso puede representar <strong>entre el 25 y 50 por ciento del tamaño final del <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-29">EPUB</span></span></strong>. Además, recuérdese que, entre más ligero el <span class="i-item-span" id="i-item-id-1-5-30">libro</span>, el costo de envío con <span class="i-item-span" id="i-item-id-1-76-31">Amazon</span> será menor (véase el apartado C de <a href="https://kdp.amazon.com/help?topicId=A29FL26OKE7R7B">este enlace</a>), o bien, la descarga será más rápida y ocupará menos espacio en el <span class="i-item-span" id="i-item-id-1-111-32">dispositivo</span> del usuario.</p>
            <p>Si no se desea agregar una imagen, InDesign puede generar una portada a partir de la primera <span class="i-item-span" id="i-item-id-1-53-34">página</span> de nuestro <span class="i-item-span" id="i-item-id-1-5-33">libro</span> o simplemente no añadirla. Esta última opción se desaconseja, ya que la vista por defecto de la estantería de los <i>ereaders</i> solo muestra la portada del <span class="i-item-span" id="i-item-id-1-5-35">libro</span>.</p>
            <p>La <strong>hoja de estilos <span class="smallcap"><span class="i-item-span" id="i-item-id-1-35-36">CSS</span></span></strong> no es necesaria; sin embargo, su implementación nos <strong>permite un mejor y mayor control en el <span class="i-item-span" id="i-item-id-1-29-37">diseño</span> de nuestro <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-38">EPUB</span></span></strong>. Si el <span class="i-item-span" id="i-item-id-1-34-39">editor</span> desconoce por completo este lenguaje de marcado, la recomendación es que un diseñador <i><span class="i-item-span" id="i-item-id-1-60-40">web</span></i> genere una plantilla que se pueda utilizar en varios de <span class="i-item-span" id="i-item-id-1-5-41">libros</span>.</p>
            <p>Si no es posible la ayuda de un diseñador <i><span class="i-item-span" id="i-item-id-1-60-42">web</span></i>, sin ningún problema puede utilizar la plantilla usada para este <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-43">EPUB</span></span>, la cual es cortesía de <span class="i-item-span" id="i-item-id-1-64-44">Perro Triste</span>. El <span class="smallcap"><span class="i-item-span" id="i-item-id-1-35-45">CSS</span></span> puede verse <a href="https://github.com/ColectivoPerroTriste/Tapancazo/blob/master/taller/EPUB-MUESTRA/OEBPS/css/principal.css">aquí</a> o descargarse mediante el enlace que está al final de este artículo.</p>
            <p>El <strong>archivo <span class="smallcap"><span class="i-item-span" id="i-item-id-1-24-46">XML</span></span></strong> es un <span class="i-item-span" id="i-item-id-1-8-47">formato</span> que <strong>contiene una serie de <span class="i-item-span" id="i-item-id-1-49-48">etiquetas</span> dentro de las cuales se agrega el contenido de manera semántica</strong>. Es decir, si en nuestro <span class="i-item-span" id="i-item-id-1-5-49">libro</span> tenemos un párrafo, este estaría rodeado de unas <span class="i-item-span" id="i-item-id-1-49-50">etiquetas</span> <code>&lt;p&gt;</code>, por poner un ejemplo. Para generar este archivo existen dos medios generales: convirtiendo el archivo de <span class="i-item-span" id="i-item-id-1-16-51">texto</span> original, por lo general un <code>.doc</code> o <code>.docx</code>, a <span class="smallcap"><span class="i-item-span" id="i-item-id-1-24-52">XML</span></span> o etiquetar directamente el <span class="i-item-span" id="i-item-id-1-16-53">texto</span> que ya está presente en InDesign.</p>
            <p>Esta última opción se desaconseja si el <span class="i-item-span" id="i-item-id-1-5-54">libro</span> solo tendrá una salida para <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-55">EPUB</span></span>, ya que por lo general implica una pérdida de control sobre el contenido semántico del <span class="i-item-span" id="i-item-id-1-5-56">libro</span>. Para agregar el <span class="i-item-span" id="i-item-id-1-16-57">texto</span> ya existente a una <span class="i-item-span" id="i-item-id-1-17-58">estructura</span> <span class="smallcap"><span class="i-item-span" id="i-item-id-1-24-59">XML</span></span> primero hay que ir a <code>Ver &gt; Estructura &gt; Mostrar <span class="i-item-span" id="i-item-id-1-17-60">estructura</span></code>.</p>
            <figure>
                <img src="../img/img_03-01.jpg" alt="Ubicación de Ver &gt; Estructura &gt; Mostrar estructura."/>
                <figcaption>
                    Ubicación de <code>Ver &gt; Estructura &gt; Mostrar <span class="i-item-span" id="i-item-id-1-17-61">estructura</span></code>.
                </figcaption>
            </figure>
            <p>Con esto habilitaremos la visualización de la <span class="i-item-span" id="i-item-id-1-17-62">estructura</span> <span class="smallcap"><span class="i-item-span" id="i-item-id-1-24-63">XML</span></span> del <span class="i-item-span" id="i-item-id-1-37-65">documento</span>. Para agregar el <span class="i-item-span" id="i-item-id-1-16-64">texto</span> es necesario ir al menú de esta nueva ventana y hacer clic en <code>Añadir elementos no etiquetados</code>.</p>
            <figure>
                <img src="../img/img_03-02.jpg" alt="Ubicación de Añadir elementos no etiquetados."/>
                <figcaption>
                    Ubicación de <code>Añadir elementos no etiquetados</code>.
                </figcaption>
            </figure>
            <p>Estructurar de esta forma puede llevarnos minutos o incluso horas. Para mayor <span class="i-item-span" id="i-item-id-1-26-67">información</span> al respecto, lo mejor es comenzar con el sitio oficial de <span class="i-item-span" id="i-item-id-1-83-68">soporte</span> de <span class="i-item-span" id="i-item-id-1-11-66">Adobe</span>. En <a href="https://helpx.adobe.com/indesign/using/xml.html">este artículo</a> explica este <span class="i-item-span" id="i-item-id-1-32-69">proceso</span> de manera muy completa.</p>
            <p>En este ejercicio <strong>estaremos importando un archivo <span class="smallcap"><span class="i-item-span" id="i-item-id-1-24-70">XML</span></span>, en lugar de generar su <span class="i-item-span" id="i-item-id-1-17-71">estructura</span> desde InDesign</strong>. El motivo de esto es que, previamente, a través de un «archivo madre» la <span class="i-item-span" id="i-item-id-1-2-72">obra</span> es vaciada a <span class="i-item-span" id="i-item-id-1-49-74">etiquetas</span> para después convertirla según las <span class="i-item-span" id="i-item-id-1-66-75">herramientas</span> que se emplearán para crear el <span class="i-item-span" id="i-item-id-1-5-73">libro</span>.</p>
            <p>El «archivo madre» tiende a convertirse en alguno de estos <span class="i-item-span" id="i-item-id-1-8-76">formatos</span>: <span class="smallcap"><span class="i-item-span" id="i-item-id-1-24-77">HTML</span></span> o <span class="smallcap"><span class="i-item-span" id="i-item-id-1-24-78">XHTML</span></span> para <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-79">EPUB</span></span> «desde cero» o con Sigil, <span class="i-item-span" id="i-item-id-1-50-80">TeX</span> para <span class="smallcap"><span class="i-item-span" id="i-item-id-1-27-81">PDF</span></span> a través de LaTeX o <span class="smallcap"><span class="i-item-span" id="i-item-id-1-24-82">XML</span></span> para InDesign, independientemente de si se trate de un <span class="i-item-span" id="i-item-id-1-38-83">impreso</span> (<span class="smallcap"><span class="i-item-span" id="i-item-id-1-27-84">PDF</span></span>) o un <i><span class="i-item-span" id="i-item-id-1-73-85">ebook</span></i> (<span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-86">EPUB</span></span>). Este flujo de <span class="i-item-span" id="i-item-id-1-10-87">trabajo</span> supone que:</p>
            <ol>
                <li>
                    <p>una <span class="i-item-span" id="i-item-id-1-2-88">obra</span> tendrá distintos <span class="i-item-span" id="i-item-id-1-8-89">formatos</span>, como pueden ser <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-90">EPUB</span></span>, <span class="smallcap"><span class="i-item-span" id="i-item-id-1-27-91">PDF</span></span>, <span class="smallcap"><span class="i-item-span" id="i-item-id-1-36-92">MOBI</span></span> o en línea;</p>
                </li>
                <li>
                    <p>el <span class="i-item-span" id="i-item-id-1-34-95">editor</span> es el único responsable de asignar semánticamente el contenido, evitando que este <span class="i-item-span" id="i-item-id-1-10-94">trabajo</span> sea realizado por el desarrollador o diseñador que, por lo general, no tienen un amplio <span class="i-item-span" id="i-item-id-1-52-96">conocimiento</span> sobre la <span class="i-item-span" id="i-item-id-1-2-93">obra</span>;</p>
                </li>
                <li>
                    <p>InDesign solo forma una parte del <span class="i-item-span" id="i-item-id-1-32-101">proceso</span> de <span class="i-item-span" id="i-item-id-1-14-100">producción</span> del <span class="i-item-span" id="i-item-id-1-5-98">libro</span> en lugar de ser el único flujo de <span class="i-item-span" id="i-item-id-1-10-99">trabajo</span> para la <span class="i-item-span" id="i-item-id-1-0-97">edición</span> <span class="i-item-span" id="i-item-id-1-51-102">digital</span>.</p>
                </li>
            </ol>
            <p>Esta <span class="i-item-span" id="i-item-id-1-28-103">metodología</span> se conoce como <i><span class="i-item-span" id="i-item-id-1-39-104">single source</span> publishing</i>. Para una descripción más extensa, recomendamos el artículo «<a href="004-2_historia_de_la_edicion.xhtml">Historia de la <span class="i-item-span" id="i-item-id-1-0-105">edición</span> <span class="i-item-span" id="i-item-id-1-51-106">digital</span></a>» publicado en este sitio.</p>
            <p>Una vez que el «archivo madre» se convierte a <span class="i-item-span" id="i-item-id-1-8-107">formato</span> <span class="smallcap"><span class="i-item-span" id="i-item-id-1-24-108">HTML</span></span>, la generación del <span class="smallcap"><span class="i-item-span" id="i-item-id-1-24-109">XML</span></span> es muy sencilla. Al <span class="smallcap"><span class="i-item-span" id="i-item-id-1-24-110">HTML</span></span> solo se le tiene que eliminar todo el <span class="i-item-span" id="i-item-id-1-23-111">código</span> que no forme parte del <code>body</code>, así como guardar este archivo con la extensión <code>.xml</code>.</p>
            <p>Si existen <span class="i-item-span" id="i-item-id-1-49-112">etiquetas</span> con alguna clase se recomienda cambiar el nombre de la <span class="i-item-span" id="i-item-id-1-49-113">etiqueta</span> por el nombre de la clase, para así tener la posibilidad de distinguirla una vez que estemos en InDesign. Por ejemplo, si en el <span class="smallcap"><span class="i-item-span" id="i-item-id-1-24-114">HTML</span></span> tenemos <code>&lt;p class="pre"&gt;Un párrafo con clase «pre»&lt;/p&gt;</code>, habría que cambiarlo por <code>&lt;pre&gt;Un párrafo con clase «pre»&lt;/pre&gt;</code>.</p>
            <p>Una vez hechas estas modificaciones, las cuales pueden <span class="i-item-span" id="i-item-id-1-75-115">automatizarse</span> mediante <code>Buscar todo</code>, <a href="https://es.wikipedia.org/wiki/Expresión_regular">RegEx</a> o <code>Reemplazar todo</code>, la <span class="i-item-span" id="i-item-id-1-17-116">estructura</span> será semejante a la imagen que se muestra a continuación, donde los puntos suspensivos representan más <span class="i-item-span" id="i-item-id-1-49-117">etiquetas</span> que no se muestran por cuestiones de espacio.</p>
            <figure>
                <img src="../img/img_03-03.jpg" alt="Ejemplo de correcciones realizadas."/>
                <figcaption>
                    Ejemplo de correcciones realizadas.
                </figcaption>
            </figure>
            <p>Con esto ya tenemos listo un archivo que podremos importar a InDesign.</p>
            <h2 id="importacion-del-archivo-xml">2. Importación del archivo <span class="smallcap"><span class="i-item-span" id="i-item-id-1-24-118">XML</span></span></h2>
            <p>Si se generó la <span class="i-item-span" id="i-item-id-1-17-120">estructura</span> a partir de un <span class="i-item-span" id="i-item-id-1-16-119">texto</span> ya existente en InDesign, como se mencionó en el punto anterior, este paso no es necesario, porque ya se habrá creado la <span class="i-item-span" id="i-item-id-1-17-121">estructura</span>, aunque aún falte darle el orden deseado.</p>
            <p>Si no fue así, y solo se desea crear un <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-122">EPUB</span></span> con InDesign, lo más recomendado es partir de un <span class="i-item-span" id="i-item-id-1-37-123">documento</span> nuevo de InDesign cuyas características son indiferentes. Como sea, para incorporar el archivo <span class="smallcap"><span class="i-item-span" id="i-item-id-1-24-124">XML</span></span> es necesario ir a <code>Archivo &gt; Importar <span class="i-item-span" id="i-item-id-1-24-125">XML</span>…</code>.</p>
            <figure>
                <img src="../img/img_03-04.jpg" alt="Ubicación de Archivo &gt; Importar XML…."/>
                <figcaption>
                    Ubicación de <code>Archivo &gt; Importar <span class="i-item-span" id="i-item-id-1-24-126">XML</span>…</code>.
                </figcaption>
            </figure>
            <p>La ventana que se abre da dos opciones: <code>Combinar contenido</code> o <code>Anexar contenido</code>. Cuando se trata de la primera importación cualquiera de las opciones es indiferente. Sin embargo, si previamente existe una <span class="i-item-span" id="i-item-id-1-17-127">estructura</span> <span class="smallcap"><span class="i-item-span" id="i-item-id-1-24-128">XML</span></span> la primera opción nos sustituirá el contenido —ideal cuando se quiere agregar una versión más reciente—, mientras que la segunda lo añadirá al final —ideal si la <span class="i-item-span" id="i-item-id-1-2-129">obra</span> no está en un solo archivo <span class="smallcap"><span class="i-item-span" id="i-item-id-1-24-130">XML</span></span>—.</p>
            <p>Por último, seleccionamos nuestro contenido sin necesidad de mostrar las opciones de importación, ya que esta opción es solo para usuarios avanzados.</p>
            <figure>
                <img src="../img/img_03-05.jpg" alt="Importación del XML."/>
                <figcaption>
                    Importación del <span class="smallcap"><span class="i-item-span" id="i-item-id-1-24-131">XML</span></span>.
                </figcaption>
            </figure>
            <p>De esta manera, se importará el <span class="smallcap"><span class="i-item-span" id="i-item-id-1-24-132">XML</span></span> y automáticamente nos mostrará la ventana con su <span class="i-item-span" id="i-item-id-1-17-133">estructura</span>. Con esto ya podemos pasar al siguiente paso.</p>
            <h2 id="creacion-y-asociacion-de-los-estilos-de-parrafo">3. Creación y asociación de los estilos de párrafo</h2>
            <p>Ahora es necesario crear una asociación de las <span class="i-item-span" id="i-item-id-1-49-134">etiquetas</span> <span class="smallcap"><span class="i-item-span" id="i-item-id-1-24-135">XML</span></span> con los <a href="https://helpx.adobe.com/es/indesign/using/paragraph-character-styles.html">estilos de párrafo</a>. Este paso solo es necesario si se desea tener un control en el <span class="i-item-span" id="i-item-id-1-29-136">diseño</span> del <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-137">EPUB</span></span> a través de hojas de estilos <span class="smallcap"><span class="i-item-span" id="i-item-id-1-35-138">CSS</span></span>. Si los estilos se manejan de manera directa o se quieren preservar los actuales, puede omitirse este paso y pasar al siguiente paso.</p>
            <p>Nosotros siempre recomendamos el uso de <span class="smallcap"><span class="i-item-span" id="i-item-id-1-35-139">CSS</span></span> para el <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-140">EPUB</span></span>, independientemente de si el <span class="i-item-span" id="i-item-id-1-5-141">libro</span> ya tiene un <span class="i-item-span" id="i-item-id-1-29-142">diseño</span> para la impresión, porque:</p>
            <ol>
                <li>
                    <p>existe un gran control sobre el <span class="i-item-span" id="i-item-id-1-29-143">diseño</span> del <i><span class="i-item-span" id="i-item-id-1-73-144">ebook</span></i> y se evita tener que optimizar mediante el uso de otras <span class="i-item-span" id="i-item-id-1-66-145">herramientas</span>, como puede ser Sigil;</p>
                </li>
                <li>
                    <p>disminuye el peso del <span class="i-item-span" id="i-item-id-1-5-146">libro</span> ya que normalmente el <span class="i-item-span" id="i-item-id-1-29-148">diseño</span> creado con InDesign carece de <span class="i-item-span" id="i-item-id-1-91-149">uniformidad</span> y crea varias líneas de <span class="i-item-span" id="i-item-id-1-23-147">código</span> que pueden ser conflictivas;</p>
                </li>
                <li>
                    <p>si se necesita modificar algo en el <span class="i-item-span" id="i-item-id-1-29-151">diseño</span> es más fácil la comprensión del <span class="i-item-span" id="i-item-id-1-23-150">código</span> presente en una plantilla <span class="smallcap"><span class="i-item-span" id="i-item-id-1-35-152">CSS</span></span> que el creado por InDesign, y</p>
                </li>
                <li>
                    <p>si se trata de una colección, es posible unificar el <span class="i-item-span" id="i-item-id-1-29-154">diseño</span> de todas las <span class="i-item-span" id="i-item-id-1-2-153">obras</span> que la componen.</p>
                </li>
            </ol>
            <p>Lo primero que debe hacerse es <strong>crear los estilos de párrafo</strong>, <strong>uno por cada tipo de <span class="i-item-span" id="i-item-id-1-49-155">etiqueta</span></strong> que contiene nuestro <span class="i-item-span" id="i-item-id-1-37-156">documento</span>. Se recomienda que el nombre del estilo sea el mismo que el de la <span class="i-item-span" id="i-item-id-1-49-157">etiqueta</span> para su fácil y automática asociación. Por ejemplo, si en el <span class="smallcap"><span class="i-item-span" id="i-item-id-1-24-158">XML</span></span> tenemos una <span class="i-item-span" id="i-item-id-1-49-159">etiqueta</span> <code>&lt;pre&gt;</code>, el nombre del estilo de párrafo sería <code>pre</code>.</p>
            <p>En esta <span class="i-item-span" id="i-item-id-1-2-160">obra</span>, <i>Don Quijote</i>, tenemos once estilos. De esos once seis son de <span class="i-item-span" id="i-item-id-1-89-162">encabezados</span>, que corresponden a cinco niveles distintos más uno reservado para el título. Los cinco restantes son tipos de párrafo, como son los cuerpo de <span class="i-item-span" id="i-item-id-1-16-161">texto</span>, centrado, alineado a la derecha, cuerpo preformateado para la <a href="https://marianaeguaras.com/que-debe-tener-una-pagina-de-creditos-o-pagina-legal-de-un-libro/"><span class="i-item-span" id="i-item-id-1-53-163">página</span> legal</a> y los versos.</p>
            <figure>
                <img src="../img/img_03-06.jpg" alt="Ventana de Estilos de párrafo."/>
                <figcaption>
                    Ventana de <code>Estilos de párrafo</code>.
                </figcaption>
            </figure>
            <p>De las opciones disponibles para los estilos de párrafo, para el <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-164">EPUB</span></span> solo nos interesa el apartado <code>Etiquetas de exportación</code>. Aquí tenemos que indicar qué <span class="i-item-span" id="i-item-id-1-49-165">etiqueta</span> se creará en el <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-166">EPUB</span></span> para sustituir el estilo de párrafo, así como indicar si esta <span class="i-item-span" id="i-item-id-1-49-167">etiqueta</span> tendrá alguna clase <span class="smallcap"><span class="i-item-span" id="i-item-id-1-35-168">CSS</span></span> asociada.</p>
            <p>Por ejemplo, el estilo de párrafo <code>h1T</code> es para el título, el cual, según la hoja de estilos <span class="smallcap"><span class="i-item-span" id="i-item-id-1-35-169">CSS</span></span> que vamos a incorporar, este debe de estar dentro de una <span class="i-item-span" id="i-item-id-1-49-170">etiqueta</span> <code>h1</code> con la clase <code>titulo</code> (para evitar conflictos, evítense las tildes). Otros ejemplos son: para el estilo de párrafo <code>pre</code>, una <span class="i-item-span" id="i-item-id-1-49-171">etiqueta</span> <code>p</code> (párrafo) con la clase <code>pre</code>; para el estilo de párrafo <code>h1</code>, una <span class="i-item-span" id="i-item-id-1-49-172">etiqueta</span> <code>h1</code>, sin necesidad de agregar alguna clase <span class="smallcap"><span class="i-item-span" id="i-item-id-1-35-173">CSS</span></span>.</p>
            <figure>
                <img src="../img/img_03-07.jpg" alt="Ventana de Opciones de estilos de párrafo."/>
                <figcaption>
                    Ventana de <code>Opciones de estilos de párrafo</code>.
                </figcaption>
            </figure>
            <p>Si este paso no se realiza, InDesign no sabrá qué <span class="i-item-span" id="i-item-id-1-49-174">etiqueta</span> <span class="smallcap"><span class="i-item-span" id="i-item-id-1-24-175">HTML</span></span> corresponde a los estilos de párrafo y <span class="i-item-span" id="i-item-id-1-17-176">estructura</span> <span class="smallcap"><span class="i-item-span" id="i-item-id-1-24-177">XML</span></span> de nuestro <span class="i-item-span" id="i-item-id-1-37-178">documento</span>. Además, de esta manera InDesign podrá ignorar toda la configuración tipográfica del párrafo <em>únicamente</em> cuando cree un <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-179">EPUB</span></span>, por lo que es posible <strong>manejar el estilo para impresión con la <span class="i-item-span" id="i-item-id-1-93-181">seguridad</span> de que este no interferirá con el <span class="i-item-span" id="i-item-id-1-29-180">diseño</span> del <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-182">EPUB</span></span></strong>.</p>
            <p>Ahora es necesario <strong>asociar <span class="i-item-span" id="i-item-id-1-49-183">etiquetas</span> a estilos y estilos a <span class="i-item-span" id="i-item-id-1-49-184">etiquetas</span></strong>. Parece redundante, pero son dos opciones distintas que ofrece InDesign al momento de trabajar con estilos de párrafo y <span class="i-item-span" id="i-item-id-1-17-185">estructura</span> <span class="smallcap"><span class="i-item-span" id="i-item-id-1-24-186">XML</span></span>. En el primer caso se indica que, por ejemplo, a toda <span class="i-item-span" id="i-item-id-1-49-187">etiqueta</span> <code>&lt;pre&gt;</code> le corresponde el estilo de párrafo <code>pre</code>.</p>
            <p>En la otra opción se indicaría que, continuando con el ejemplo, toda clase de párrafo <code>pre</code> ha de ser una <span class="i-item-span" id="i-item-id-1-49-188">etiqueta</span> <code>&lt;pre&gt;</code> por lo que, de existir un párrafo con esta clase pero con una <span class="i-item-span" id="i-item-id-1-49-189">etiqueta</span> <span class="smallcap"><span class="i-item-span" id="i-item-id-1-24-190">XML</span></span> distinta, supongamos que <code>&lt;cen&gt;</code>, automáticamente se cambiará a la <span class="i-item-span" id="i-item-id-1-49-191">etiqueta</span> asociada, <code>&lt;pre&gt;</code> en este caso.</p>
            <p>Esta doble asociación es un tanto confusa; sin embargo, lo único que tenemos que tener en cuenta es que, si no se realiza, el <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-192">EPUB</span></span> creado no tomará en cuenta la hoja <span class="smallcap"><span class="i-item-span" id="i-item-id-1-35-193">CSS</span></span> que se añadirá.</p>
            <p>Entonces, en el menú de la ventana de la <span class="i-item-span" id="i-item-id-1-17-194">estructura</span> <span class="smallcap"><span class="i-item-span" id="i-item-id-1-24-195">XML</span></span> nos vamos a <code>Asignar <span class="i-item-span" id="i-item-id-1-49-196">etiquetas</span> a estilos…</code>.</p>
            <figure>
                <img src="../img/img_03-08.jpg" alt="Ubicación de Asignar etiquetas a estilos…."/>
                <figcaption>
                    Ubicación de <code>Asignar <span class="i-item-span" id="i-item-id-1-49-197">etiquetas</span> a estilos…</code>.
                </figcaption>
            </figure>
            <p>Si nuestras <span class="i-item-span" id="i-item-id-1-49-198">etiquetas</span> tienen el mismo nombre que los estilos de párrafo, la asociación se puede <span class="i-item-span" id="i-item-id-1-75-199">automatizar</span> al hacer clic en <code>Asignar por nombre</code>.</p>
            <figure>
                <img src="../img/img_03-09.jpg" alt="Ventana de Asignar etiquetas a estilos."/>
                <figcaption>
                    Ventana de <code>Asignar <span class="i-item-span" id="i-item-id-1-49-200">etiquetas</span> a estilos</code>.
                </figcaption>
            </figure>
            <p>En el mismo menú nos vamos a <code>Asignar estilos a <span class="i-item-span" id="i-item-id-1-49-201">etiquetas</span>…</code>. Nótese que es indistinto el orden por el que se asocian los elementos, bien se pueden asignar antes los estilos a las <span class="i-item-span" id="i-item-id-1-49-202">etiquetas</span>. Lo relevante es que se lleve a cabo esta doble asignación.</p>
            <figure>
                <img src="../img/img_03-10.jpg" alt="Ubicación de Asignar estilos a etiquetas…."/>
                <figcaption>
                    Ubicación de <code>Asignar estilos a <span class="i-item-span" id="i-item-id-1-49-203">etiquetas</span>…</code>.
                </figcaption>
            </figure>
            <p>Ya solo es cuestión de realizar la asociación. Si nuestros estilos de párrafo tienen el mismo nombre que las <span class="i-item-span" id="i-item-id-1-49-205">etiquetas</span>, este <span class="i-item-span" id="i-item-id-1-32-204">proceso</span> se puede <span class="i-item-span" id="i-item-id-1-75-206">automatizar</span> al presionar sobre <code>Asignar por nombre</code>. Una vez hecho esto, podemos pasar a verter el <span class="i-item-span" id="i-item-id-1-16-207">texto</span>.</p>
            <figure>
                <img src="../img/img_03-11.jpg" alt="Ventana de Asignar estilos a etiquetas."/>
                <figcaption>
                    Ventana de <code>Asignar estilos a <span class="i-item-span" id="i-item-id-1-49-208">etiquetas</span></code>.
                </figcaption>
            </figure>
            <h2 id="incrustacion-del-texto-y-creacion-de-la-tabla-de-contenidos">4. Incrustación del <span class="i-item-span" id="i-item-id-1-16-210">texto</span> y <span class="i-item-span" id="i-item-id-1-15-209">creación</span> de la tabla de contenidos</h2>
            <p>Si el <span class="i-item-span" id="i-item-id-1-16-211">texto</span> aún no está en una <span class="i-item-span" id="i-item-id-1-53-213">página</span>, solo es necesario arrastrar la <span class="i-item-span" id="i-item-id-1-49-212">etiqueta</span> <code>body</code> a algún espacio de esta. Si el <span class="i-item-span" id="i-item-id-1-5-214">libro</span> solo se exportará en <span class="i-item-span" id="i-item-id-1-8-215">formato</span> <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-216">EPUB</span></span>, no es necesario preocuparnos por la caja ni los números de <span class="i-item-span" id="i-item-id-1-53-218">página</span>, por lo que no hay inconveniente con tener <span class="i-item-span" id="i-item-id-1-16-217">texto</span> desbordado o que la <span class="i-item-span" id="i-item-id-1-53-219">página</span> sea estéticamente desagradable. Solo <strong>se busca que InDesign identifique que ahí hay un <span class="i-item-span" id="i-item-id-1-16-220">texto</span> para convertirlo en <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-221">EPUB</span></span></strong>.</p>
            <figure>
                <img src="../img/img_03-12.jpg" alt="Muestra de caracteres no imprimibles."/>
                <figcaption>
                    Muestra de caracteres no imprimibles.
                </figcaption>
            </figure>
            <p>Como se podrá notar, el <span class="i-item-span" id="i-item-id-1-16-222">texto</span> mostrará corchetes no imprimibles y de colores. Este es un apoyo visual de InDesign para poder distinguir el tipo de <span class="i-item-span" id="i-item-id-1-49-223">etiqueta</span> <span class="smallcap"><span class="i-item-span" id="i-item-id-1-24-224">XML</span></span> de cada párrafo.</p>
            <p>Para la <strong><span class="i-item-span" id="i-item-id-1-15-225">creación</span> de la tabla de contenidos</strong> hay que ir a <code>Maquetación &gt; Tabla de contenido…</code>.</p>
            <figure>
                <img src="../img/img_03-13.jpg" alt="Ubicación de Maquetación &gt; Tabla de contenido…."/>
                <figcaption>
                    Ubicación de <code>Maquetación &gt; Tabla de contenido…</code>.
                </figcaption>
            </figure>
            <p>La única opción que nos interesa en la ventana que se abre es el apartado de <code>Estilos de la tabla de contenido</code> en donde vamos a incluir los estilos de párrafo que queremos que formen parte de nuestro índice. En este <span class="i-item-span" id="i-item-id-1-5-226">libro</span> solo nos interesa que la tabla de contenido contenga los <span class="i-item-span" id="i-item-id-1-89-227">encabezados</span> de primera jerarquía, excepto el título, por lo que solo agregamos el estilo de párrafo <code>h1</code>.</p>
            <figure>
                <img src="../img/img_03-14.jpg" alt="Ventana de Tabla de contenido."/>
                <figcaption>
                    Ventana de <code>Tabla de contenido</code>.
                </figcaption>
            </figure>
            <p>Ya solo es necesario agregar la tabla de contenidos al <span class="i-item-span" id="i-item-id-1-37-229">documento</span>. De nueva cuenta, para un <span class="i-item-span" id="i-item-id-1-5-228">libro</span> que solo será <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-230">EPUB</span></span> no es necesario colocarlo en un lugar en especial. Incluso es posible dejarlo en un área exterior a la <span class="i-item-span" id="i-item-id-1-53-232">página</span>, como se muestra en la siguiente imagen. Lo único que queremos explicitar a InDesign es que este <span class="i-item-span" id="i-item-id-1-37-231">documento</span> contiene un índice que ha de incorporarse al <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-233">EPUB</span></span>.</p>
            <figure>
                <img src="../img/img_03-15.jpg" alt="Tabla de contenidos creada."/>
                <figcaption>
                    Tabla de contenidos creada.
                </figcaption>
            </figure>
            <h2 id="exportacion-de-epub-con-indesign">5. Exportación de <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-234">EPUB</span></span> con InDesign</h2>
            <p>Por fin tenemos todo lo necesario para crear un <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-235">EPUB</span></span> con InDesign. A continuación nos vamos a <code>Archivo &gt; Exportar…</code>.</p>
            <figure>
                <img src="../img/img_03-16.jpg" alt="Ubicación de Archivo &gt; Exportar…."/>
                <figcaption>
                    Ubicación de <code>Archivo &gt; Exportar…</code>.
                </figcaption>
            </figure>
            <p>Las características de la <span class="i-item-span" id="i-item-id-1-2-236">obra</span> nos permiten que no nos preocupemos por un <span class="i-item-span" id="i-item-id-1-29-239">diseño</span> fijo, el cual suele estar destinado para <span class="i-item-span" id="i-item-id-1-5-237">libros</span> de apoyo didáctico o para niños. Entonces, en el <span class="i-item-span" id="i-item-id-1-8-238">formato</span> elegiremos <code><span class="i-item-span" id="i-item-id-1-1-240">EPUB</span> (ajustable)</code>, también conocido como de <strong>«<span class="i-item-span" id="i-item-id-1-29-241">diseño</span> fluido» o «<span class="i-item-span" id="i-item-id-1-29-242">diseño</span> responsivo»</strong>, ya que se adaptará al tamaño de la pantalla de manera automática.</p>
            <figure>
                <img src="../img/img_03-17.jpg" alt="Formato de exportación."/>
                <figcaption>
                    Formato de exportación.
                </figcaption>
            </figure>
            <p>Se abrirá una nueva ventana para dar los últimos ajustes al <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-243">EPUB</span></span>. La mayoría de los casos aquí solo tenemos que prestar atención a tres apartados. (Para una descripción sobre las opciones que no se verán aquí, puede echarse un vistazo <a href="https://helpx.adobe.com/indesign/using/export-content-epub-cc.html">aquí</a>).</p>
            <p>El primer apartado es <code>General</code>. Aquí se definirán las características globales del <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-244">EPUB</span></span>.</p>
            <ul>
                <li>
                    <p>Seleccionaremos la versión <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-245">EPUB</span></span>. Recomendamos la versión <code>3.0</code> por sus mayores posibilidades y flexibilidad. (Para una <span class="i-item-span" id="i-item-id-1-26-246">información</span> detallada sobre las diferencias entre la versión <code>2.0.1</code> y la <code>3.0</code>, visítese este <a href="http://www.idpf.org/epub/30/spec/epub30-changes.html">enlace</a>).</p>
                </li>
                <li>
                    <p>Elección de la portada. En este caso añadiremos una imagen externa, por lo que seleccionaremos <code>Elegir imagen</code>.</p>
                </li>
                <li>
                    <p>Para que nuestra tabla de contenidos sea añadida en la sección <code>TDC para navegación</code> hay que seleccionar la opción <code>Varios niveles</code>.</p>
                </li>
                <li>
                    <p>En <code>Contenido</code> seleccionaremos la opción <code>Según <span class="i-item-span" id="i-item-id-1-77-248">maquetación</span> de <span class="i-item-span" id="i-item-id-1-53-247">página</span></code>. Así nos aseguraremos que el <span class="i-item-span" id="i-item-id-1-16-250">texto</span> se mostrará tal cual como está vertido en las <span class="i-item-span" id="i-item-id-1-53-252">páginas</span>, muy oportuno si el <span class="i-item-span" id="i-item-id-1-5-249">libro</span> sufrió cambios directos en el contenido que no fueron incrustados en la <span class="i-item-span" id="i-item-id-1-17-251">estructura</span> <span class="smallcap"><span class="i-item-span" id="i-item-id-1-24-253">XML</span></span>, como es muy común cuando la <span class="i-item-span" id="i-item-id-1-2-254">obra</span> se maquetó para impresión.</p>
                </li>
                <li>
                    <p>Habilitación de la opción <code>Dividir <span class="i-item-span" id="i-item-id-1-37-255">documento</span></code>. Esta <span class="i-item-span" id="i-item-id-1-2-256">obra</span> tiene la intención de comenzar un nuevo apartado en cada <span class="i-item-span" id="i-item-id-1-89-257">encabezado</span> de primera jerarquía, así que la división será con un <code>h1</code> en <code>Estilo de párrafo único</code>. Podemos decir que la división es al <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-258">EPUB</span></span> lo que el salto de <span class="i-item-span" id="i-item-id-1-53-259">página</span> es al <span class="smallcap"><span class="i-item-span" id="i-item-id-1-27-260">PDF</span></span>.</p>
                </li>
            </ul>
            <figure>
                <img src="../img/img_03-18.jpg" alt="Configuración general en las opciones de exportación."/>
                <figcaption>
                    Configuración general en las opciones de exportación.
                </figcaption>
            </figure>
            <p>El segundo apartado es <code><span class="i-item-span" id="i-item-id-1-35-261">CSS</span></code>. Si no se desea agregar una hoja de estilos <span class="smallcap"><span class="i-item-span" id="i-item-id-1-35-262">CSS</span></span> puede ignorarse lo siguiente.</p>
            <ul>
                <li>
                    <p>Para evitar que InDesign cree estilos <span class="smallcap"><span class="i-item-span" id="i-item-id-1-35-263">CSS</span></span> hay que desactivar la opción <code>Generar <span class="i-item-span" id="i-item-id-1-35-264">CSS</span></code>.</p>
                </li>
                <li>
                    <p>Para agregar una hoja de estilos externa hay que hacer clic en <code>Añadir hoja de estilos…</code>.</p>
                </li>
            </ul>
            <figure>
                <img src="../img/img_03-19.jpg" alt="Apartado CSS en las opciones de exportación."/>
                <figcaption>
                    Apartado <code><span class="i-item-span" id="i-item-id-1-35-265">CSS</span></code> en las opciones de exportación.
                </figcaption>
            </figure>
            <p>Por último nos vamos al apartado <code>Metadatos</code>. Los <strong><span class="i-item-span" id="i-item-id-1-30-266">metadatos</span></strong> son <a href="https://marianaeguaras.com/que-son-los-metadatos-de-un-libro-y-cual-es-su-importancia/">muy importantes</a> para un <i><span class="i-item-span" id="i-item-id-1-73-267">ebook</span></i> ya que, como dice <span class="i-item-span" id="i-item-id-1-20-269">Mariana</span>, son «imprescindibles para la identificación de un <span class="i-item-span" id="i-item-id-1-5-268">libro</span>». Cabe decir que <strong>los <span class="i-item-span" id="i-item-id-1-30-270">metadatos</span> son al <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-271">EPUB</span></span> lo que la ficha catalográfica es al <span class="i-item-span" id="i-item-id-1-38-272">impreso</span></strong>. De esta manera, nos será muy fácil saber si cierto archivo es tal <span class="i-item-span" id="i-item-id-1-2-273">obra</span> y no otra, sea en alguna tienda o en una biblioteca <span class="i-item-span" id="i-item-id-1-51-274">digital</span>.</p>
            <ul>
                <li>
                    <p><code>Identificador</code>. Este dato no es visible al usuario y sirve como mecanismo de control para quien edita. Nosotros preferimos los identificadores complicados por lo que solo incluimos el nombre del <span class="i-item-span" id="i-item-id-1-5-275">libro</span> y la versión.</p>
                </li>
                <li>
                    <p><code>Título</code>. Aquí va el nombre de la <span class="i-item-span" id="i-item-id-1-2-276">obra</span> que será visible para el usuario.</p>
                </li>
                <li>
                    <p><code>Creador</code>. En este campo se coloca el nombre del <span class="i-item-span" id="i-item-id-1-3-277">autor</span>. Por convención, se recomienda <span class="i-item-span" id="i-item-id-1-98-279">escribir</span> antes el apellido y después el nombre, separados por una coma. Si existe más de un <span class="i-item-span" id="i-item-id-1-3-278">autor</span>, nosotros hemos decidido separarlo con punto y coma.</p>
                </li>
                <li>
                    <p><code>Fecha</code>. Aquí se recomienda colocar la fecha de <span class="i-item-span" id="i-item-id-1-7-282">publicación</span> de la presente <span class="i-item-span" id="i-item-id-1-0-280">edición</span> en lugar de la fecha de la primera <span class="i-item-span" id="i-item-id-1-0-281">edición</span>.</p>
                </li>
                <li>
                    <p><code>Descripción</code>. Se trata de la sinopsis del <span class="i-item-span" id="i-item-id-1-5-283">libro</span>, visible en algunas bibliotecas <span class="i-item-span" id="i-item-id-1-51-284">digitales</span> o tiendas.</p>
                </li>
                <li>
                    <p><code>Editor</code>. Se indica el responsable de la <span class="i-item-span" id="i-item-id-1-0-285">edición</span> o <span class="i-item-span" id="i-item-id-1-6-286">editorial</span>.</p>
                </li>
                <li>
                    <p><code>Derechos</code>. En este espacio se indica qué tipos de derechos de <span class="i-item-span" id="i-item-id-1-3-288">autor</span> tiene la <span class="i-item-span" id="i-item-id-1-2-287">obra</span>.</p>
                </li>
                <li>
                    <p><code>Asunto</code>. Por último, mencionamos la categoría del <span class="i-item-span" id="i-item-id-1-5-289">libro</span>. Nosotros separamos las categorías por comas: por ejemplo, «Ficción, Novela de caballerías». Si se desea una categorización más estandarizada, pueden utilizarse <a href="https://marianaeguaras.com/categorias-bisac-que-son-y-para-que-sirven/">códigos <span class="smallcap">BISAC</span></a> tal como es necesario indicarlos si el <span class="i-item-span" id="i-item-id-1-5-290">libro</span> se sube a <span class="i-item-span" id="i-item-id-1-105-292">iBooks</span>, <span class="i-item-span" id="i-item-id-1-122-293">Google</span> Play Books o <span class="i-item-span" id="i-item-id-1-76-291">Amazon</span>.</p>
                </li>
            </ul>
            <figure>
                <img src="../img/img_03-20.jpg" alt="Metadatos en las opciones de exportación."/>
                <figcaption>
                    Metadatos en las opciones de exportación.
                </figcaption>
            </figure>
            <p>Ahora sí ya hemos configurado el <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-294">EPUB</span></span> por lo que solo resta <strong>dar clic en <code>OK</code> ¡para generar el <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-295">EPUB</span></span>!</strong></p>
            <h2 id="el-epub-resultante">6. El <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-296">EPUB</span></span> resultante</h2>
            <p>Nuestro <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-297">EPUB</span></span> está listo. Este tiene:</p>
            <ul>
                <li>
                    <p>una portada visible en la estantería;</p>
                </li>
            </ul>
            <figure>
                <img src="../img/img_03-21.jpg" alt="Thumbnail del EPUB."/>
                <figcaption>
                    <i>Thumbnail</i> del <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-298">EPUB</span></span>.
                </figcaption>
            </figure>
            <ul>
                <li>
                    <p>un índice, y</p>
                </li>
            </ul>
            <figure>
                <img src="../img/img_03-22.jpg" alt="Tabla de contenidos del EPUB, también llamado índice en español."/>
                <figcaption>
                    Tabla de contenidos del <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-299">EPUB</span></span>, también llamado índice en <span class="i-item-span" id="i-item-id-1-107-300">español</span>.
                </figcaption>
            </figure>
            <ul>
                <li>
                    <p>un contenido controlado a través de una <span class="i-item-span" id="i-item-id-1-17-301">estructura</span> <span class="smallcap"><span class="i-item-span" id="i-item-id-1-24-302">XML</span></span> y una hoja de estilos <span class="smallcap"><span class="i-item-span" id="i-item-id-1-35-303">CSS</span></span>.</p>
                </li>
            </ul>
            <figure>
                <img src="../img/img_03-23.jpg" alt="Contenido del EPUB."/>
                <figcaption>
                    Contenido del <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-304">EPUB</span></span>.
                </figcaption>
            </figure>
            <p>Para acceder a todos los <span class="i-item-span" id="i-item-id-1-37-306">documentos</span> empleados para esta <span class="i-item-span" id="i-item-id-1-0-305">edición</span>, puedes descargar <a href="https://www.clientes.cliteratu.re/eguaras/epubs.zip">este archivo</a>. Al descomprimirse encontrarás que también están presentes los archivos empleados para los otros dos <span class="i-item-span" id="i-item-id-1-28-307">métodos</span> que quedan por describir: con Sigil y «desde cero». Para los archivos usados en la versión de InDesign solo hay que ir a <code>epubs &gt; 1-<span class="i-item-span" id="i-item-id-1-13-308">indesign</span>-cc</code>.</p>
            <h2 id="conclusiones">Conclusiones</h2>
            <p>Para el usuario de InDesign que está acostumbrado a trabajar con estilos directos o con estilos de párrafo y caracteres esta descripción puede parecerle compleja, ya que involucra la elaboración de archivos de manera externa al flujo común de este <i><span class="i-item-span" id="i-item-id-1-4-309">software</span></i>. Como puede observarse, estos <span class="i-item-span" id="i-item-id-1-37-310">documentos</span> externos requieren algún <span class="i-item-span" id="i-item-id-1-52-311">conocimiento</span> básico de <span class="smallcap"><span class="i-item-span" id="i-item-id-1-24-312">HTML</span></span> y <span class="smallcap"><span class="i-item-span" id="i-item-id-1-35-313">CSS</span></span>. Por este motivo, se mencionó que se descansaría <em>un poco</em> del <span class="i-item-span" id="i-item-id-1-23-314">código</span>.</p>
            <p><strong>El <span class="i-item-span" id="i-item-id-1-32-316">proceso</span> aquí descrito está pensado para alcanzar el máximo control y la mayor calidad en un <span class="i-item-span" id="i-item-id-1-5-315">libro</span> <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-317">EPUB</span></span> hecho con InDesign</strong>. Sin embargo, de manera irremediable implica vérselas con lenguajes de marcado. Es decir, incluso en el <span class="i-item-span" id="i-item-id-1-44-320">programa</span> más común para la <span class="i-item-span" id="i-item-id-1-15-319">creación</span> de <span class="i-item-span" id="i-item-id-1-5-318">libros</span> es menester trabajar desde las entrañas de un <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-321">EPUB</span></span>.</p>
            <p>Gracias a esto podemos indicar que:</p>
            <ol>
                <li>
                    <p>para fortuna o desgracia el «<span class="i-item-span" id="i-item-id-1-23-325">código</span>» llegó para quedarse en la <span class="i-item-span" id="i-item-id-1-0-322">edición</span> <span class="i-item-span" id="i-item-id-1-51-326">digital</span> si el objetivo es la <span class="i-item-span" id="i-item-id-1-15-324">creación</span> de <span class="i-item-span" id="i-item-id-1-7-323">publicaciones</span> de gran calidad;</p>
                </li>
                <li>
                    <p>InDesign no puede abarcar todo el flujo de <span class="i-item-span" id="i-item-id-1-10-329">trabajo</span> como hace algunos años lo había hecho, ya que su arquitectura está pensada para la <span class="i-item-span" id="i-item-id-1-77-330">maquetación</span> de <span class="i-item-span" id="i-item-id-1-5-327">libros</span> en <span class="i-item-span" id="i-item-id-1-8-328">formato</span> <span class="smallcap"><span class="i-item-span" id="i-item-id-1-27-331">PDF</span></span> (con los años se ha visto obligada a posibilitar la <span class="i-item-span" id="i-item-id-1-15-332">creación</span> de <i>ebooks</i>);</p>
                </li>
                <li>
                    <p>es necesario un conjunto de <span class="i-item-span" id="i-item-id-1-66-333">herramientas</span> o un <i><span class="i-item-span" id="i-item-id-1-4-334">software</span></i> que nos permita atajar los retos de la <span class="i-item-span" id="i-item-id-1-7-335">publicación</span> <span class="i-item-span" id="i-item-id-1-51-336">digital</span> de una manera más directa y aún más controlada, y</p>
                </li>
                <li>
                    <p>por esta necesidad de diversidad en el <span class="i-item-span" id="i-item-id-1-108-342">ecosistema</span> del <span class="i-item-span" id="i-item-id-1-5-338">libro</span> se hace necesario optar por un <span class="i-item-span" id="i-item-id-1-32-341">proceso</span> de <span class="i-item-span" id="i-item-id-1-14-340">producción</span> que simplifique y automatice el reto de publicar una <span class="i-item-span" id="i-item-id-1-2-337">obra</span> en diversos <span class="i-item-span" id="i-item-id-1-8-339">formatos</span>.</p>
                </li>
            </ol>
            <p>Debido a estas cuestiones y las desventajas que presenta un <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-343">EPUB</span></span> creado en InDesign (indicadas en «<a href="003-1_edicion_digital_como_edicion.xhtml">Edición <span class="i-item-span" id="i-item-id-1-51-345">digital</span> como <span class="i-item-span" id="i-item-id-1-0-344">edición</span> desde cero</a>)» es posible concluir que <strong>InDesign nos permite crear <span class="i-item-span" id="i-item-id-1-5-346">libros</span> <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-347">EPUB</span></span> de gran calidad, pero a través de una <span class="i-item-span" id="i-item-id-1-28-349">metodología</span> que puede complicar aún más el <span class="i-item-span" id="i-item-id-1-32-350">proceso</span> de <span class="i-item-span" id="i-item-id-1-14-348">producción</span></strong> o que potencialmente implica una pérdida de control tanto en la <span class="i-item-span" id="i-item-id-1-17-352">estructura</span> como en la <span class="i-item-span" id="i-item-id-1-0-351">edición</span> y el <span class="i-item-span" id="i-item-id-1-29-353">diseño</span>.</p>
            <p>¿Cuál es el volumen de <span class="i-item-span" id="i-item-id-1-14-355">producción</span> a manejar? ¿Qué nivel de control se desea sobre la <span class="i-item-span" id="i-item-id-1-0-354">edición</span>? ¿Cuál es la disponibilidad para analizar y probar otras <span class="i-item-span" id="i-item-id-1-28-357">metodologías</span> de <span class="i-item-span" id="i-item-id-1-14-356">producción</span>? Son solo algunas de las preguntas por las cuales podríamos saber si crear <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-358">EPUB</span></span> con InDesign es el método que necesitamos para el <span class="i-item-span" id="i-item-id-1-12-359">desarrollo</span> de <i>ebooks</i>.</p>
            <aside class="espacio-arriba2">
                <h6 id="sobre-esta-entrada_3">Sobre esta entrada</h6>
                <ul>
                    <li>
                        <p>Título original: «De <span class="i-item-span" id="i-item-id-1-24-361">XML</span> a <span class="i-item-span" id="i-item-id-1-1-360">EPUB</span> con InDesign».</p>
                    </li>
                    <li>
                        <p>Título en el <i>blog</i> de <span class="i-item-span" id="i-item-id-1-20-364">Mariana</span>: «Cómo crear un <span class="i-item-span" id="i-item-id-1-5-363">libro</span> <span class="i-item-span" id="i-item-id-1-51-366">digital</span>: de <span class="i-item-span" id="i-item-id-1-24-365">XML</span> a <span class="i-item-span" id="i-item-id-1-1-362">EPUB</span> con InDesign».</p>
                    </li>
                    <li>
                        <p>Fecha de <span class="i-item-span" id="i-item-id-1-7-367">publicación</span>: 8 de noviembre del 2016.</p>
                    </li>
                    <li>
                        <p><a href="https://gitlab.com/NikaZhenya/entradas-eguaras/blob/master/03%20-%20De%20XML%20a%20EPUB%20con%20InDesign/entrada.md">Redacción original</a>.</p>
                    </li>
                    <li>
                        <p><a href="https://marianaeguaras.com/de-xml-a-epub-con-indesign/">Revisión de <span class="i-item-span" id="i-item-id-1-20-368">Mariana</span></a>.</p>
                    </li>
                </ul>
            </aside>
        </section>
    </body>
</html>
